/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package db;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;
import model.Proizvod;

/**
 *
 * @author student
 */
public class DatabaseBroker {
    private Connection connection;
    
    public void uspostaviKonekcijusaBazomACCESS() throws ClassNotFoundException, SQLException{
        Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
        String url="jdbc:odbc:Proizvodi";
        connection=DriverManager.getConnection(url, "", "");
        System.out.println("Uspesna konekcija!");
    }
    
    public void raskiniKonekciju() throws SQLException{
        connection.close();
        System.out.println("Raskinuta je konekcija sa bazom!");
    }
    
    public List<Proizvod> getAllProizvod() throws SQLException{
        List<Proizvod> proizvodi=new ArrayList<>();
        String upit="SELECT proizvodID, naziv, cena FROM proizvod";
        Statement statement=connection.createStatement();
        ResultSet rs=statement.executeQuery(upit);
        while(rs.next()){
            Proizvod proizvod=new Proizvod();
            proizvod.setProizvodID(rs.getInt("proizvodID"));
            proizvod.setNaziv(rs.getString("naziv"));
            proizvod.setCena(rs.getDouble("cena"));
            proizvodi.add(proizvod);
        }
        rs.close();
        statement.close();
        return proizvodi;
    }
    
}
